Subject: Re: bug#16462: 24.3; emacs does not start under KDE (Undefined color: "WINDOW_FOREGROUND")

From: "Jan D." <[email-masked]>
Date: Fri, 17 Jan 2014 09:38:42 +0100

Hello.

Petr Hracek skrev 2014-01-16 12:51:
> Hi,
>
> I have found in google that it could be related with
> xorg-server-utils and programs within the package.
> Some programs did not provide the variable.
>
> Is there any was how to make emacs working properly again?
> https://bugzilla.redhat.com/show_bug.cgi?id=1053891
>

This is outside of Emacs control.  There are some files that expects to 
be run through the preprocessor, but isn't.  It is usually Emacs.ad, 
located somewhere in /etc/X11 or /usr/lib/X11 or /usr/share/X11, or with 
xorg instead of X11.  This error comes up now and then.
If you find the Emacs.ad file, try removing it.  You may have to restart 
X after that.

Also do

% xrdb -query

and you will see if the WINDOW_FOREGROUND is set just for Emacs or 
globally.  If it is globally, removing Emacs.ad wont help, some other 
file isn't preprocessed properly.

The point is, this is not an Emacs bug, closing.

	Jan D.

> Greetings
> Petr Hracek
> On 16/01/14 10:37, Petr Hracek wrote:
>> Hi guys,
>>
>> I have a problem with running emacs under KDE environment.
>> When I try to run either 'emacs' or 'emacs <some_file>' then it failed
>> with message
>> Undefined color: "WINDOW_FOREGROUND"
>>
>> All other Window Managers like Gnome and Cinnamon are working properly.
>> emacs is build up with gtk3.
>>
>> Could you please help me with the issues.
>> Package version: emacs-24.3
>>
>> Sorry but I did not find the commit with that issue.
>>
>> best regards
>> Petr
>>
>
>